# -*- coding: utf-8 -*-

"""
####################################################################
#                                                                  #
#                           AWI Basemap                            #
#                      RUN THE ENTIRE PROCESS                      #
#                                                                  #
####################################################################

"""


#=============================================================================
#    SCRIPT INFO
#=============================================================================

__author__ = 'Simon Dreutter'
__version__ = '0.1'
__date__ = '2021-05-19'
__email__ = 'simon.dreutter@awi.de'
__status__ = 'Developement'


#=============================================================================
#    IMPORT
#=============================================================================

import subprocess
import sys

# import AWI Basemap configuration
from config import PYTHON


#=============================================================================
#    RUN
#=============================================================================

cmd = [PYTHON, '1_process_add.py']
subprocess.call(cmd)

cmd = [PYTHON, '2_process_gimp.py']
subprocess.call(cmd)

cmd = [PYTHON, '3_process_glims.py']
subprocess.call(cmd)

cmd = [PYTHON, '4_process_gebco.py']
subprocess.call(cmd)

cmd = [PYTHON, '5_create_shading_layers.py']
subprocess.call(cmd)

cmd = [PYTHON, '6_burn_vector_layers.py']
subprocess.call(cmd)

cmd = [PYTHON, '7_create_basemaps.py']
subprocess.call(cmd)

#=============================================================================

print()
print('All done!')
input('\nPress Enter to exit!\n')
sys.exit()
